#ifndef PT_CLIENT_H
#define PT_CLIENT_H

#include "ptDriver.h"

extern BOOL ptSendBasicCmd(PT_CMD cmd, int ival,
    const PT_DRIVER_STR *ptDriverSDI);

extern PT_DRIVER_STR * ptInitDriver ( const char *device, int baudRate, int verbose );
extern void ptFreeSDI(PT_DRIVER_STR *ptDriverSDI);
extern void ptVerboseSwitch ( PT_DRIVER_STR * );
extern void ptDisplayDrivers ( const PT_DRIVER_STR * );
extern void ptResetCmd ( int cmd, const PT_DRIVER_STR *ptDriverSDI );
extern BOOL ptRemoveCmd ( int cmd, const PT_DRIVER_STR *ptDriverSDI );
extern void ptDriverStop(PT_DRIVER_STR *ptDriverSDI);
extern BOOL ptSendMsg ( char *msg, const PT_DRIVER_STR *ptDriverSDI );
extern BOOL ptSendCmd ( PT_CMD cmd, int ival, const PT_DRIVER_STR *ptDriverSDI );
extern BOOL ptSendCmdRad ( PT_CMD cmd, double val, const PT_DRIVER_STR *ptDriverSDI );
extern BOOL ptSendCmdDeg ( PT_CMD cmd, double val, const PT_DRIVER_STR *ptDriverSDI );
extern void ptPrintConst ( const PT_DRIVER_STR *ptDriverSDI );
extern PT_CMD_STATUS ptGetStatus ( PT_CMD cmd, PT_ERR *err, const PT_DRIVER_STR *ptDriverSDI );
extern PT_CMD_STATUS ptGetInt ( PT_CMD cmd, int *val, PT_ERR *err, const PT_DRIVER_STR *ptDriverSDI );
extern PT_CMD_STATUS ptGetDouble ( PT_CMD cmd, double *val, PT_ERR *err, const PT_DRIVER_STR *ptDriverSDI );
extern PT_CMD_STATUS ptGetDeg ( PT_CMD cmd, double *val, PT_ERR *err, const PT_DRIVER_STR *ptDriverSDI );
extern PT_CMD_STATUS ptGetRad ( PT_CMD cmd, double *val, PT_ERR *err, const PT_DRIVER_STR *ptDriverSDI );
extern PT_CMD_STATUS ptGetString ( PT_CMD cmd, char *val, PT_ERR *err, const PT_DRIVER_STR *ptDriverSDI );
extern PT_CMD_STATUS ptGetStringCode ( PT_CMD cmd, int *val, PT_ERR *err, const PT_DRIVER_STR *ptDriverSDI );
extern PT_CMD_STATUS ptGetPrint ( PT_CMD cmd, const PT_DRIVER_STR *ptDriverSDI );
extern PT_CMD_STATUS ptSendAndGet ( PT_CMD cmd, int *ival, BOOL block, PT_ERR *err, const PT_DRIVER_STR *ptDriverSDI );
extern PT_CMD_STATUS ptGetSendAndGet ( PT_CMD cmd, int *ival, PT_ERR *err, const PT_DRIVER_STR *ptDriverSDI );
extern PT_CMD_STATUS ptGetSendAndGetRad ( PT_CMD cmd, double *val, PT_ERR *err, const PT_DRIVER_STR *ptDriverSDI );
extern PT_CMD_STATUS ptSendAndGetRad ( PT_CMD cmd, double *val, BOOL block, PT_ERR *err, const PT_DRIVER_STR *ptDriverSDI );
extern PT_CMD_STATUS ptSendAndGetDeg ( PT_CMD cmd, double *val, BOOL block, PT_ERR *err, const PT_DRIVER_STR *ptDriverSDI );
extern PT_CMD_STATUS ptSendAndGetString ( PT_CMD cmd, char *val, BOOL block, PT_ERR *err, const PT_DRIVER_STR *ptDriverSDI );
extern void ptPrint ( FILE *out, char *msg, PT_CMD cmd, PT_CMD_STATUS status, PT_ERR err, const PT_DRIVER_STR *ptDriverSDI );
extern BOOL ptSendAndGetPrint ( PT_CMD cmd, int ival, const PT_DRIVER_STR *ptDriverSDI );
extern BOOL ptSendCmdAndGetPrintRad ( PT_CMD cmd, double val, const PT_DRIVER_STR *ptDriverSDI );
extern BOOL ptSendCmdAndGetPrintDeg ( PT_CMD cmd, double val, const PT_DRIVER_STR *ptDriverSDI );
extern BOOL ptReadMsg ( char *buf, const PT_DRIVER_STR *ptDriverSDI );
extern BOOL ptPrintMsg ( const PT_DRIVER_STR *ptDriverSDI );
extern void ptSpyMsgs ( const PT_DRIVER_STR *ptDriverSDI );
extern PT_CMD_STATUS ptSpyCmd ( PT_CMD cmd, const PT_DRIVER_STR *ptDriverSDI );
extern void ptSpyAll ( const PT_DRIVER_STR *ptDriverSDI );

#endif /* PT_CLIENT_H */
